public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-print/hplip-plugin/
Date: Sun, 18 Oct 2020 18:19:09 +0000 (UTC)	[thread overview]
Message-ID: <1603045113.9ab64c3908ec1e7f1d676fa05970ee40c176f3ea.chewi@gentoo> (raw)

commit:     9ab64c3908ec1e7f1d676fa05970ee40c176f3ea
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 18 18:18:33 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Oct 18 18:18:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ab64c39

net-print/hplip-plugin: Version bump to 3.20.9

Closes: https://bugs.gentoo.org/746332
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 net-print/hplip-plugin/Manifest                   |  1 +
 net-print/hplip-plugin/hplip-plugin-3.20.9.ebuild | 72 +++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/net-print/hplip-plugin/Manifest b/net-print/hplip-plugin/Manifest
index f22bf52107c..954eb9245e1 100644
--- a/net-print/hplip-plugin/Manifest
+++ b/net-print/hplip-plugin/Manifest
@@ -1,2 +1,3 @@
 DIST hplip-3.19.12-plugin.run 11512079 BLAKE2B 534cbba51b2254f8227611b8f0449e100361fb445400f664e43e30412be8eb554bb35c2fe260d45cd5ad742b083af6d551532a9d14585029b0ff93675fab578a SHA512 ac2022d555f5084d5bf1e4519ddbb29828e9ca385aa6dff818ae9e79b60b4b2745e31ad4146cb01bca3747fae0d61b96e4a823b81179d2e2c55a643831165e4b
 DIST hplip-3.20.6-plugin.run 11514108 BLAKE2B 83e2d26fb397c5c5df1fc4371bfc2798cea049965499b6f1ad5daa05b44b74f51ba9deb933b564dfa47a8d0ef79d4921c3a96b9531730317742e1c5651d7b012 SHA512 6f9e5c92e302f4068abbe9134cf7f8081fcbe98568c9b75d6a668843b76c83afd0f4fbb3d90d3ac775c719ab8e2dca5beedd887ef6d072bd8ee0eb48d42521ed
+DIST hplip-3.20.9-plugin.run 11515336 BLAKE2B 27686828374675412ae82a0a5be121c87dbd9ed3adb8d5f30e2f946e315140a5641fdbc60d7f952323060de7fb7bce77b21f19e0d07aa0c5c36e898732030b8b SHA512 bbb5c5768c0f1e88f960f9decff65d70942bc40d8f0443fa2e1c0507895e2e6ba7bc8e0fbec5a74b335787ac45bd3c34cf6bc4d5e544ce7c2ef0965e074a440a

diff --git a/net-print/hplip-plugin/hplip-plugin-3.20.9.ebuild b/net-print/hplip-plugin/hplip-plugin-3.20.9.ebuild
new file mode 100644
index 00000000000..fa8335f3ab1
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.20.9.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing/plugins"
+SRC_URI="https://developers.hp.com/sites/default/files/hplip-${PV}-plugin.run"
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="orblite"
+
+RDEPEND="
+	~net-print/hplip-${PV}
+	virtual/udev
+	orblite? (
+		media-gfx/sane-backends
+		>=sys-libs/glibc-2.26
+		virtual/libusb:0
+	)
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PREBUILT="${HPLIP_HOME}/*.so"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_install() {
+	local hplip_arch
+	case "${ARCH}" in
+		amd64) hplip_arch="x86_64" ;;
+		arm)   hplip_arch="arm32"  ;;
+		x86)   hplip_arch="x86_32" ;;
+		*)     die "Unsupported architecture." ;;
+	esac
+
+	insinto "${HPLIP_HOME}"/data/firmware
+	doins *.fw.gz
+
+	for plugin in *-${hplip_arch}.so; do
+		local plugin_type=prnt
+		case "${plugin}" in
+			bb_orblite-*)
+				use orblite || continue
+				plugin_type=scan ;;
+			bb_*)
+				plugin_type=scan ;;
+			fax_*)
+				plugin_type=fax ;;
+		esac
+
+		exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+		newexe ${plugin} ${plugin/-${hplip_arch}}
+	done
+
+	insinto /var/lib/hp
+	newins - hplip.state <<-_EOF_
+		[plugin]
+		installed = 1
+		eula = 1
+		version = ${PV}
+	_EOF_
+}


             reply	other threads:[~2020-10-18 18:19 UTC|newest]

Thread overview: 126+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-18 18:19 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-29 22:25 [gentoo-commits] repo/gentoo:master commit in: net-print/hplip-plugin/ James Le Cuirot
2024-01-18 21:21 James Le Cuirot
2023-12-27 21:03 Sam James
2023-12-19  5:08 Sam James
2023-12-19  5:08 Sam James
2023-12-10 15:46 James Le Cuirot
2023-11-16 21:33 James Le Cuirot
2023-11-16 16:22 Sam James
2023-11-15 17:40 Sam James
2023-11-15 17:40 Sam James
2023-11-15 17:40 Sam James
2023-10-19 10:59 James Le Cuirot
2023-09-16  7:31 Daniel Pielmeier
2023-09-07 17:02 Sam James
2023-09-07 17:02 Sam James
2023-09-07 14:41 Sam James
2023-09-07 14:41 Sam James
2023-07-02 20:49 James Le Cuirot
2023-05-02 21:23 James Le Cuirot
2023-05-02 17:35 Sam James
2023-05-02 15:21 Arthur Zamarin
2023-05-02 15:21 Arthur Zamarin
2023-05-02 15:21 Arthur Zamarin
2023-04-09 15:18 James Le Cuirot
2023-04-09 14:46 Daniel Pielmeier
2023-04-08 17:52 Arthur Zamarin
2023-04-08 17:32 Arthur Zamarin
2023-04-08 17:31 Arthur Zamarin
2023-04-08 10:40 James Le Cuirot
2023-04-08  9:46 Daniel Pielmeier
2023-04-08  9:17 Daniel Pielmeier
2022-11-21 21:33 James Le Cuirot
2022-11-21 17:14 Daniel Pielmeier
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-08-04  9:10 James Le Cuirot
2022-08-04  9:10 James Le Cuirot
2022-07-31 11:05 Agostino Sarubbo
2022-07-30 17:20 Arthur Zamarin
2022-07-30 13:42 Arthur Zamarin
2022-05-29 13:02 James Le Cuirot
2022-04-06 13:50 David Seifert
2022-04-05 22:17 James Le Cuirot
2022-04-05  8:54 David Seifert
2022-03-07 22:25 James Le Cuirot
2022-03-05 17:28 Daniel Pielmeier
2022-01-26 21:32 James Le Cuirot
2022-01-22 10:16 Daniel Pielmeier
2021-12-07 18:11 Sam James
2021-11-27 10:30 James Le Cuirot
2021-11-27  9:32 James Le Cuirot
2021-10-16  8:42 James Le Cuirot
2021-08-19 17:26 Daniel Pielmeier
2021-08-07 12:15 James Le Cuirot
2021-06-17 23:12 James Le Cuirot
2021-03-17 16:18 Daniel Pielmeier
2021-03-07 22:49 James Le Cuirot
2020-12-26 14:36 Mikle Kolyada
2020-12-17 15:34 Daniel Pielmeier
2020-12-07 22:58 James Le Cuirot
2020-09-26 10:36 Daniel Pielmeier
2020-09-25 22:21 Daniel Pielmeier
2020-09-04 23:12 James Le Cuirot
2020-09-04 23:12 James Le Cuirot
2020-09-02 20:50 James Le Cuirot
2020-09-02 20:50 James Le Cuirot
2020-05-16 11:57 Daniel Pielmeier
2020-03-30 22:05 James Le Cuirot
2020-03-11 19:40 Daniel Pielmeier
2020-03-07 20:32 James Le Cuirot
2019-12-15 18:13 Daniel Pielmeier
2019-11-24 20:34 Manuel Rüger
2019-08-15 18:31 Daniel Pielmeier
2019-08-15 18:29 Daniel Pielmeier
2019-08-15 18:01 Daniel Pielmeier
2019-08-15 16:32 Daniel Pielmeier
2019-08-15 16:05 Daniel Pielmeier
2019-07-06  9:46 Daniel Pielmeier
2019-06-27 19:24 Manuel Rüger
2019-05-04  8:38 Daniel Pielmeier
2019-04-08  5:48 Alexey Shvetsov
2019-02-26  8:30 Manuel Rüger
2019-01-20 12:11 Daniel Pielmeier
2018-12-30 15:51 Manuel Rüger
2018-11-29 14:43 Manuel Rüger
2018-09-22  9:52 Daniel Pielmeier
2018-08-02 18:09 Daniel Pielmeier
2018-07-23 15:27 Manuel Rüger
2018-06-21 17:36 Daniel Pielmeier
2018-06-12 23:14 Manuel Rüger
2018-05-24 21:46 Daniel Pielmeier
2018-05-24 21:42 Daniel Pielmeier
2018-05-24 21:42 Daniel Pielmeier
2018-04-10  0:19 Manuel Rüger
2018-01-16 19:19 Daniel Pielmeier
2017-11-20 19:04 Manuel Rüger
2017-11-18 12:11 Daniel Pielmeier
2017-10-22  0:15 Manuel Rüger
2017-09-27 20:41 Daniel Pielmeier
2017-09-24 18:37 Manuel Rüger
2017-09-24 18:37 Manuel Rüger
2017-09-04 15:52 Daniel Pielmeier
2017-06-19 22:39 Manuel Rüger
2017-06-15 11:33 Daniel Pielmeier
2017-04-20 22:27 Manuel Rüger
2016-12-12 17:16 Daniel Pielmeier
2016-11-29 22:39 Manuel Rüger
2016-10-28 18:56 Manuel Rüger
2016-10-24 17:22 Daniel Pielmeier
2016-10-10 22:57 Manuel Rüger
2016-10-01 12:38 Manuel Rüger
2016-10-01 12:38 Manuel Rüger
2016-09-30 16:43 Daniel Pielmeier
2016-09-17  1:36 Manuel Rüger
2016-09-12 11:11 Patrice Clement
2016-09-01 22:20 Manuel Rüger
2016-08-27 13:50 Patrice Clement
2016-08-16 10:31 Manuel Rüger
2016-06-19  2:16 Göktürk Yüksek
2016-06-05 13:33 Aaron Swenson
2016-04-03 14:53 Manuel Rüger
2016-04-03 13:05 Daniel Pielmeier
2016-03-19 21:41 Patrice Clement
2016-03-19 21:32 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1603045113.9ab64c3908ec1e7f1d676fa05970ee40c176f3ea.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox